Karia
ReferencesOpenapiLeads

Create a lead

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/lead

Create a lead in the specified organisation and workspace.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

workspaceId*integer
Range0 < value <= 9007199254740991
orgId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organisation/string/workspace/1/origination/lead" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string"  }'
{  "id": "string",  "referenceId": "string",  "status": "string",  "firstName": "string",  "lastName": "string",  "middleName": "string",  "email": "string",  "phone": "string",  "externalSource": "string",  "externalId": "string",  "followUpDate": "string",  "assigneeIds": [    "string"  ],  "contactId": "string",  "contactReferenceId": "string",  "createdAt": "string",  "createdBy": "string",  "deletedAt": "string",  "deletedBy": "string",  "lastUpdatedAt": "string",  "lastUpdatedBy": "string",  "lastIngestAt": "string",  "notes": "string",  "isMatched": false,  "message": "Lead created"}